import { IElementClasses } from "./models/list.model";
import { PageElementNode } from "./nodes/page-element-node";
export declare class ElementClassList implements IElementClasses {
    private pageElement;
    get value(): string;
    private get hostElement();
    constructor(pageElement: PageElementNode);
    getClassNames(): string[];
    init(): void;
    add(...classNames: string[]): void;
    remove(...classNames: string[]): void;
    toggle(className: string, force?: boolean): void;
    private updateSchemaClassList;
}
