import { StyleType } from "../models/style.model";
import { PageElementNode } from "../nodes/page-element-node";
import { StyleBase } from './style-base';
export declare class LayerBlurStyle extends StyleBase {
    element: PageElementNode;
    styleType: StyleType;
    styleSheet: CSSStyleSheet;
    selector: string;
    constructor(element: PageElementNode);
    set(blur: string, apply?: boolean): void;
    get(): string;
    delete(apply?: boolean): void;
    isValidValue(value: string): boolean;
    private getEffectValue;
}
