import { List } from "./models/list.model";
import { PageNode, PageNodeAttribute } from "./models/page-node.model";
export declare class ElementAttributes implements List<PageNodeAttribute> {
    private pageElement;
    get value(): PageNodeAttribute[];
    private attributesMap;
    get isNodeWithAttributes(): boolean;
    private get hostElement();
    constructor(pageElement: PageNode);
    add(...attributes: PageNodeAttribute[]): void;
    remove(...names: string[]): void;
    /**
     * @NotImplemented
     * @param name
     * @param force
     */
    toggle(name: string, force?: boolean): void;
    replace(name: string, attribute: PageNodeAttribute): void;
    init(): void;
    private updateSchemaAttributes;
    private setAttributes;
    private removeAttributes;
    private toggleAttribute;
}
