import { PageTextNode } from "./page-text-node";
import { PageElementNode } from "./page-element-node";
import { PageCustomNode } from "./page-custom-node";
export function nodeFactory(schema, page, parentElement) {
    const tag = schema.tag.split('_')[0];
    switch (tag) {
        case 'custom':
            return new PageCustomNode(schema, page, parentElement);
        case '#text':
            return new PageTextNode(schema, page, parentElement);
        default:
            return new PageElementNode(schema, page, parentElement);
    }
}
//# sourceMappingURL=node-factory.js.map